Package org.eclipse.ui.texteditor.rulers

## Class RulerColumnRegistry

- java.lang.Object
- - org.eclipse.ui.texteditor.rulers.RulerColumnRegistry

    public final class RulerColumnRegistry
    extends Object

A registry for all extensions to the `rulerColumns` extension point.

Since:
  3.3
Restriction:
  This class is not intended to be instantiated by clients.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`RulerColumnDescriptor` `getColumnDescriptor​(String id)` Returns the `RulerColumnDescriptor` with the given identity, `null` if no such descriptor exists.
`List<RulerColumnDescriptor>` `getColumnDescriptors()` Returns the list of `RulerColumnDescriptor`s describing all extensions to the `rulerColumns` extension point.
`static RulerColumnRegistry` `getDefault()` Returns the default computer registry.
`void` `reload()` Reloads the extensions to the extension point.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getDefault

    public static RulerColumnRegistry getDefault()

Returns the default computer registry.

TODO keep this or add some other singleton, e.g. TextEditorPlugin?

Returns:
  the singleton instance

#### getColumnDescriptors

    public List<RulerColumnDescriptor> getColumnDescriptors()

Returns the list of `RulerColumnDescriptor`s describing all extensions to the `rulerColumns` extension point. The list's iterator traverses the descriptors in the ordering implied by the placement specifications of the contributions.

The returned list is unmodifiable and guaranteed to never change. Note that the set of descriptors may change over time due to dynamic plug-in removal or addition.

Returns:
  the sorted list of extensions to the `rulerColumns` extension point

#### getColumnDescriptor

    public RulerColumnDescriptor getColumnDescriptor​(String id)

Returns the `RulerColumnDescriptor` with the given identity, `null` if no such descriptor exists.

Parameters:
  `id` - the identity of the ruler contribution as given in the extension point xml.
Returns:
  the `RulerColumnDescriptor` with the given identity, `null` if no such descriptor exists

#### reload

    public void reload()

Reloads the extensions to the extension point.

This method can be called more than once in order to reload from a changed extension registry.